package com.ruoyi.oa.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 单价备注对象 cmc_price_remark
 * 
 * @author cmc
 * @date 2024-05-14
 */
public class CmcPriceRemark extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 结算备注id */
    private Long priceRemarkId;

    /** 工程项目 */
    @Excel(name = "工程项目")
    private String workType;

    public void setPriceRemarkId(Long priceRemarkId) 
    {
        this.priceRemarkId = priceRemarkId;
    }

    public Long getPriceRemarkId() 
    {
        return priceRemarkId;
    }
    public void setWorkType(String workType) 
    {
        this.workType = workType;
    }

    public String getWorkType() 
    {
        return workType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("priceRemarkId", getPriceRemarkId())
            .append("workType", getWorkType())
            .append("remark", getRemark())
            .toString();
    }
}
